# Module `awful.prompt`

### Info:

- Author: Julien Danjou <julien@danjou.info>
- Copyright: 2008 Julien Danjou
- Release: v3.5.1

## Functions

run (args, textbox, exe_callback, completion_callback, history_path, history_max, done_callback, changed_callback, keypressed_callback) | Run a prompt in a box.

## Tables

prompt | Prompt module for awful awful.prompt
data | Private data

## Functions

run (args, textbox, exe_callback, completion_callback, history_path, history_max, done_callback, changed_callback, keypressed_callback)
  Run a prompt in a box.

  ### Parameters:

  - args A table with optional arguments: fg_cursor, bg_cursor, ul_cursor, prompt, text, selectall, font, autoexec.
  - textbox The textbox to use for the prompt.
  - exe_callback The callback function to call with command as argument when finished.
  - completion_callback The callback function to call to get completion.
  - history_path Optional parameter: file path where the history should be saved, set nil to disable history
  - history_max Optional parameter: set the maximum entries in history file, 50 by default
  - done_callback Optional parameter: the callback function to always call without arguments, regardless of whether the prompt was cancelled.
  - changed_callback Optional parameter: the callback function to call with command as argument when a command was changed.
  - keypressed_callback Optional parameter: the callback function to call with mod table, key and command as arguments when a key was pressed.

## Tables

prompt
  Prompt module for awful awful.prompt
data
  Private data

generated by LDoc 1.3